/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IWebservices.java 4493 2009-02-02 09:25:06Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ws.api.xml.struct;

import java.util.List;

/**
 * The IWebservices is the Object representant of a webservices.xml file.
 *
 * @author Guillaume Sauthier
 */
public interface IWebservices {

    /**
     * @return the @version attribute (1.1 for JAX-RPC and 1.2 for JAX-WS)
     */
    String getVersion();

    /**
     * @return the list of webservice-description declared in this file.
     */
    List<IWebserviceDescription> getWebserviceDescriptions();

    /**
     * This finder method helps to find the PortComponent associated to
     * a given implementation bean.
     * @param sibLink SIB link name (EJB name or classname)
     * @return the found PortComponent or null if nothing is found in this XML descriptor
     */
    IPortComponent findPortComponent(String sibLink);

}
